Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::G::RWLock Class Reference

A run-time GStaticRWlock C++ wrapper interface. More...

`#include <inti/glib/mutex.h>`

Inheritance diagram for Inti::G::RWLock:

List of all members.

## Public Member Functions

Constructors

- RWLock ()
    Constructs and initializes a new RWLock.
- ~RWLock ()
    Destructor; Frees the lock.

## Detailed Description

A run-time GStaticRWlock C++ wrapper interface.

RWLock works like a StaticRWLock, but it can be constructed and initialized at run-time. The RWLock constructor calls StaticRWLock::init() to initialize itself.

The documentation for this class was generated from the following file:

- mutex.h

Main Page - Footer